# Libft

This is my implementation of the Libft project for the 42 school.

## Description

Libft is a library of standard functions written in C.

The purpose of the project is to recreate some of the functions from the standard C library

## Getting Started

To compile the library, simply run `make` in the root directory of the project. This will generate a static library called `libft.a`.

To use the library in another project, simply include the header file `libft.h` and link against the `libft.a` library.

## Usage

The library includes a wide range of functions, from basic string and memory manipulation functions to more complex data structure and input/output functions. 

For detailed information on each function, see the header file `libft.h` and the corresponding source file in the `src` directory.

## Resources

- ![The project subject](./subject.pdf)
- The standard C library documentation
- The man pages for each function

## Authors

This project was created by Camille Chauvet. If you have any questions or suggestions, feel free to contact me.
